Private Endpoint Connections - Get

取得指定資源群組中搜尋服務的私人端點連線詳細數據。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2025-05-01

URI 參數

名稱 位於 必要 類型 Description
privateEndpointConnectionName
path True

string

具有指定資源群組之 Azure AI 搜尋服務的私人端點連線名稱。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

searchServiceName
path True

string

pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$

與指定資源群組相關聯的 Azure AI 搜尋服務名稱。

subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

要求標頭

名稱 必要 類型 Description
x-ms-client-request-id

string (uuid)

用戶端產生的 GUID 值,可識別此要求。 如果指定,則會以追蹤要求的方式包含在響應資訊中。

回應

名稱 類型 Description
200 OK

PrivateEndpointConnection

Azure 作業已順利完成。

Other Status Codes

CloudError

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

PrivateEndpointConnectionGet

範例要求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateEndpointConnections/testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546?api-version=2025-05-01

範例回覆

{
  "name": "testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546",
  "type": "Microsoft.Search/searchServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateEndpointConnections/testEndpoint.50bf4fbe-d7c1-4b48-a642-4f5892642546",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/privateEndpoints/testEndpoint"
    },
    "privateLinkServiceConnectionState": {
      "description": "",
      "actionsRequired": "None",
      "status": "Approved"
    }
  }
}

定義

名稱 Description
CloudError

包含 API 錯誤的相關信息。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

createdByType

建立資源的身分識別類型。

PrivateEndpointConnection

描述與 Azure AI 搜尋服務的現有私人端點連線。

PrivateEndpointConnectionProperties

描述與搜尋服務的現有私人端點連線屬性。

PrivateEndpointConnectionPropertiesPrivateEndpoint

Microsoft.Network 提供者的私人端點資源。

PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState

描述現有 Azure Private Link 服務連線至私人端點的目前狀態。

PrivateLinkServiceConnectionProvisioningState

私人鏈接服務連線的布建狀態。 有效值為更新、刪除、失敗、成功、不完整或取消。

PrivateLinkServiceConnectionStatus

私人鏈接服務連線的狀態。 有效值為 Pending、Approved、Rejected 或 Disconnected。

systemData

與建立和上次修改資源相關的元數據。

CloudError

包含 API 錯誤的相關信息。

名稱 類型 Description
error

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

message

string

錯誤簡短描述,其中提示發生錯誤的原因(如需詳細數據/偵錯資訊,請參閱 'error.message' 屬性。

CloudErrorBody

描述具有錯誤碼和訊息的特定 API 錯誤。

名稱 類型 Description
code

string

比 HTTP 狀態代碼更精確地描述錯誤條件的錯誤碼。 可用來以程式設計方式處理特定錯誤案例。

details

CloudErrorBody[]

包含與此錯誤相關的巢狀錯誤。

message

string

描述錯誤的詳細訊息,並提供偵錯資訊。

target

string

特定錯誤的目標(例如,錯誤中的屬性名稱)。

createdByType

建立資源的身分識別類型。

值 Description
User
Application
ManagedIdentity
Key

PrivateEndpointConnection

描述與 Azure AI 搜尋服務的現有私人端點連線。

名稱 類型 Description
id

string (arm-id)

資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

資源的名稱

properties

PrivateEndpointConnectionProperties

描述現有私人端點連線至 Azure AI 搜尋服務的屬性。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

type

string

資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts”

PrivateEndpointConnectionProperties

描述與搜尋服務的現有私人端點連線屬性。

名稱 類型 Description
groupId

string

私人鏈接服務的 Azure 資源群組識別碼。

privateEndpoint

PrivateEndpointConnectionPropertiesPrivateEndpoint

Microsoft.Network 提供者的私人端點資源。

privateLinkServiceConnectionState

PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState

描述現有 Azure Private Link 服務連線至私人端點的目前狀態。

provisioningState

PrivateLinkServiceConnectionProvisioningState

私人鏈接服務連線的布建狀態。 有效值為更新、刪除、失敗、成功、不完整或取消。

PrivateEndpointConnectionPropertiesPrivateEndpoint

Microsoft.Network 提供者的私人端點資源。

名稱 類型 Description
id

string

來自 Microsoft.Network 提供者的私人端點資源資源標識碼。

PrivateEndpointConnectionPropertiesPrivateLinkServiceConnectionState

描述現有 Azure Private Link 服務連線至私人端點的目前狀態。

名稱 類型 預設值 Description
actionsRequired

string

None

任何可能需要的額外動作的描述。

description

string

私人鏈接服務連線狀態的描述。

status

PrivateLinkServiceConnectionStatus

私人鏈接服務連線的狀態。 有效值為 Pending、Approved、Rejected 或 Disconnected。

PrivateLinkServiceConnectionProvisioningState

私人鏈接服務連線的布建狀態。 有效值為更新、刪除、失敗、成功、不完整或取消。

值 Description
Updating

私人鏈接服務連線正與其他資源一起建立,使其可完全正常運作。

Deleting

私人鏈接服務連線正在刪除。

Failed

無法布建或刪除私人連結服務連線。

Succeeded

私人鏈接服務連線已完成佈建,且已準備好進行核准。

Incomplete

已接受私人連結服務連線資源的布建要求,但尚未開始建立程式。

Canceled

已取消私人連結服務連線資源的布建要求。

PrivateLinkServiceConnectionStatus

私人鏈接服務連線的狀態。 有效值為 Pending、Approved、Rejected 或 Disconnected。

值 Description
Pending

已建立私人端點連線,並擱置核准。

Approved

私人端點連線已核准且可供使用。

Rejected

私人端點連線已遭拒絕,且無法使用。

Disconnected

私人端點連線已從服務中移除。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。